curl -X DELETE "https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123" \
-H "X-API-Key: otr_your_key"
import requests
response = requests.delete(
"https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123",
headers={"X-API-Key": "otr_your_key"}
)
data = response.json()
const response = await fetch(
"https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123",
{
method: "DELETE",
headers: { "X-API-Key": "otr_your_key" }
}
);
const data = await response.json();
{
"data": {
"id": "rpl_abc123",
"deleted": true
}
}
Inbox
Delete Thread
Delete a reply thread from the inbox.
DELETE
/
api
/
v1
/
inbox
/
threads
/
{reply_id}
curl -X DELETE "https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123" \
-H "X-API-Key: otr_your_key"
import requests
response = requests.delete(
"https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123",
headers={"X-API-Key": "otr_your_key"}
)
data = response.json()
const response = await fetch(
"https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123",
{
method: "DELETE",
headers: { "X-API-Key": "otr_your_key" }
}
);
const data = await response.json();
{
"data": {
"id": "rpl_abc123",
"deleted": true
}
}
Path Parameters
string
required
The unique identifier of the reply thread.
Response
Returns a confirmation of deletion.curl -X DELETE "https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123" \
-H "X-API-Key: otr_your_key"
import requests
response = requests.delete(
"https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123",
headers={"X-API-Key": "otr_your_key"}
)
data = response.json()
const response = await fetch(
"https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123",
{
method: "DELETE",
headers: { "X-API-Key": "otr_your_key" }
}
);
const data = await response.json();
{
"data": {
"id": "rpl_abc123",
"deleted": true
}
}
Errors
| Status | Description |
|---|---|
404 | Thread not found |
Rate Limit
- 100 requests per minute, per API key. Fixed 60-second window.
- Every response includes
X-RateLimit-Limit,X-RateLimit-Remaining, andX-RateLimit-Reset(unix epoch seconds). - A
429response includes aRetry-Afterheader (seconds until the bucket resets).
Retry-After, exponential backoff, monitoring X-RateLimit-Remaining), see Rate Limiting.